Bug 2010 - Intel Print station - access denied when printing
Intel Print station - access denied when printing
Status: RESOLVED LATER
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.7
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-09 19:40 UTC by Mike Nix
Modified: 2005-05-09 05:45 UTC (History)
0 users

See Also:


Attachments
partial fix to printstation access denied (7.35 KB, patch)
2004-12-09 02:07 UTC, Mike Nix
no flags Details
network trace of bug under stock standard samba 3.0.8 (2.46 KB, application/octet-stream)
2004-12-09 03:32 UTC, Mike Nix
no flags Details
network trace of bug under patched 3.0.8 (13.26 KB, application/octet-stream)
2004-12-09 03:33 UTC, Mike Nix
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Nix 2004-11-09 19:40:51 UTC
Unable to open print jobs in an intel print station (ethernet + 2 LPT ports)

Sidenote: intel print stations have names like PS0EBB39 - I have seen a few
references to the same problem around the net.

This seems to be due to a difference in the command used to open/close print
jobs. I did do a patch to samba 2.x that fixed this some time back, but I did
not successfully translate it to samba 3.0.0 (not sure why - I ended up with the
print job being sent but the print station did nothing). I might take another
crack at it against 3.0.8 soon.

Windows:
SMBsplopen
SMBwrite <- even windows uses this rather than SMBsplwr
SMBsplclose

Samba:
SMBopen
SMBwrite
SMBclose
Comment 1 Gerald (Jerry) Carter 2004-12-07 07:11:15 UTC
can you attach a raw network trace (tcpdump -w /tmp/bug2010.pcap -s 0 -i eth0)
with this bug report?  Thanks.  

I'm assuming you are printing using smbclient to connect 
to the remote Intel print server.
Comment 2 Mike Nix 2004-12-09 02:07:01 UTC
Created attachment 832 [details]
partial fix to printstation access denied
Comment 3 Mike Nix 2004-12-09 03:32:22 UTC
Created attachment 833 [details]
network trace of bug under stock standard samba 3.0.8
Comment 4 Mike Nix 2004-12-09 03:33:23 UTC
Created attachment 834 [details]
network trace of bug under patched 3.0.8


The file is sent, but no output from printer yet.
Comment 5 Mike Nix 2004-12-09 03:40:06 UTC
(In reply to comment #1)
> can you attach a raw network trace (tcpdump -w /tmp/bug2010.pcap -s 0 -i eth0)
> with this bug report?

yes- I have also attached my partial patch against 3.0.8 - the file seems to be
written, but does not produce output on the printer - I expect this is due to
some form of corruption during the send (a little hard to detect as the printer
is a brother multifunction centre using a binary protocol). 
The print job is generated correctly as uploading the file to the print
station's ftp server produces correct output (but a bug in the print server
leaves an EOF on the file leaving the printer in limbo after printing)

Small text files of a few lines are printed correctly (if sent to the printer as
text).

> I'm assuming you are printing using smbclient to connect 
> to the remote Intel print server.

yes - well CUPS smb support (calls smbspool), and manually calling smbclient.

Comment 6 Gerald (Jerry) Carter 2005-02-19 10:07:21 UTC
Hmmm...this breaks printing against a Windows 200 SP4 print server....

  $ cat /etc/hosts | bin/smbclient //windc/apple -UAdministrator \
  -W BOOKS -c 'print -'
  Domain=[BOOKS] OS=[Windows 5.0] Server=[Windows 2000 LAN Manager]
  ERRSRV - ERRerror (Non-specific error code.) opening remote spool stdin-31420

Needs more invesitgation
Comment 7 Gerald (Jerry) Carter 2005-02-19 10:13:37 UTC
I get the same error when sending the job via 
smbspool (as i would expect).

SMB (Server Message Block Protocol)
    SMB Header
        Server Component: SMB
        Response to: 13
        Time from request: 0.006411000 seconds
        SMB Command: Open Print File (0xc0)
        Error Class: Server Error (0x02)
        Reserved: 00
        Error Code: Non specific error code (0x0001)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Comment 8 Gerald (Jerry) Carter 2005-02-21 20:34:54 UTC
I've applied to the patches to cliprint.c.  Haven't found out 
why the SMB_OPEN_PRINT_JOB fails against 2k servers yets.
Comment 9 Gerald (Jerry) Carter 2005-05-09 05:45:22 UTC
closing this one.  I've applied the SMBspl patch but not 
changed smbclient to use these commands since they fail 
against Win2k.  And I don't have one of these Intel
print servers to poke at.